package com.patzn.lims.env.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.env.entity.LmsEnvMonitor;
import com.patzn.lims.env.vo.LmsEnvMonitorVO;
import com.patzn.lims.res.dto.CollectThCustomerData;

import java.util.List;

/**
 * <p>
 * 环境监测管理 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-11-07
 */
public interface ILmsEnvMonitorService extends IBaseService<LmsEnvMonitor> {

    Page<LmsEnvMonitorVO> pageVO(Page<LmsEnvMonitorVO> page, LmsEnvMonitorVO lmsEnvMonitorVO);


    List<LmsEnvMonitorVO> listVO(LmsEnvMonitorVO lmsEnvMonitorVO);


    LmsEnvMonitorVO getVOById(Long id);


    List<LmsEnvMonitor> selectNormalByIds(List<Long> ids);


    List<LmsEnvMonitor> selectMicrobeByIds(List<Long> ids);


    boolean updateMonitorById(LmsEnvMonitor lmsEnvMonitor);

    void receiveThData(List<CollectThCustomerData> iotThDataList);
}
